edu.whs.spin2018.baoapp.views.menues

## Class NamensabfrageDialog

- java.lang.Object
- - android.support.v4.app.Fragment
  - - android.support.v4.app.DialogFragment
    - - edu.whs.spin2018.baoapp.views.menues.NamensabfrageDialog

- All Implemented Interfaces:
    android.arch.lifecycle.LifecycleOwner, android.arch.lifecycle.ViewModelStoreOwner, android.content.ComponentCallbacks, android.content.DialogInterface.OnCancelListener, android.content.DialogInterface.OnDismissListener, android.view.View.OnCreateContextMenuListener

      public class NamensabfrageDialog
      extends android.support.v4.app.DialogFragment

  A simple `DialogFragment` subclass. Activities that contain this fragment must implement the `NamensabfrageDialog.OnNameGesetztListener` interface to handle interaction events. Use the `newInstance()` factory method to create an instance of this fragment.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `NamensabfrageDialog.OnNameGesetztListener` Interface zur Kommunikation mit der Hauptmenue Aktivitaet

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `android.support.v4.app.Fragment.InstantiationException, android.support.v4.app.Fragment.SavedState`

  - ### Field Summary

    - ### Fields inherited from class android.support.v4.app.DialogFragment

      `STYLE_NO_FRAME, STYLE_NO_INPUT, STYLE_NO_TITLE, STYLE_NORMAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamensabfrageDialog()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NamensabfrageDialog` | `newInstance()` Use this factory method to create a new instance of this fragment using the provided parameters.
    `void` | `onAttach(android.content.Context context)`
    `void` | `onCreate(android.os.Bundle savedInstanceState)`
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`
    `void` | `onDetach()`

    - ### Methods inherited from class android.support.v4.app.DialogFragment

      `dismiss, dismissAllowingStateLoss, getDialog, getShowsDialog, getTheme, isCancelable, onActivityCreated, onCancel, onCreateDialog, onDestroyView, onDismiss, onGetLayoutInflater, onSaveInstanceState, onStart, onStop, setCancelable, setShowsDialog, setStyle, setupDialog, show, show, showNow`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityResult, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireContext, requireFragmentManager, requireHost, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NamensabfrageDialog

          public NamensabfrageDialog()

  - ### Method Detail

    - #### newInstance

          public static NamensabfrageDialog newInstance()

      Use this factory method to create a new instance of this fragment using the provided parameters.
      Returns:
        A new instance of fragment NamensabfrageDialog.

    - #### onCreate

          public void onCreate(android.os.Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `android.support.v4.app.DialogFragment`

    - #### onCreateView

          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                android.view.ViewGroup container,
                                                android.os.Bundle savedInstanceState)

      Overrides:
        `onCreateView` in class `android.support.v4.app.Fragment`

    - #### onAttach

          public void onAttach(android.content.Context context)

      Overrides:
        `onAttach` in class `android.support.v4.app.DialogFragment`

    - #### onDetach

          public void onDetach()

      Overrides:
        `onDetach` in class `android.support.v4.app.DialogFragment`